commit 12b58b60d8e4af49d4dcf167488cf3c7d81709b3
Author: freddy77 <freddy77>
Date:   Sun Jul 18 06:45:00 2010 +0000

    wrong logic converting octect <-> character count

diff --git a/ChangeLog b/ChangeLog
index ffc453b..e277958 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Sun Jul 18 08:44:51 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc_util.c:
+	- wrong logic converting octect <-> character count
+
 Sat Jul 17 22:05:47 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tdsbytes.h src/tds/challenge.c: small optimization
 
@@ -2691,4 +2695,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3076 2010/07/17 20:05:52 freddy77 Exp $
+$Id: ChangeLog,v 1.3077 2010/07/18 06:45:00 freddy77 Exp $
diff --git a/src/odbc/odbc_util.c b/src/odbc/odbc_util.c
index dbbfc92..1b850c3 100644
--- a/src/odbc/odbc_util.c
+++ b/src/odbc/odbc_util.c
@@ -41,7 +41,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc_util.c,v 1.117 2010/07/17 19:58:25 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc_util.c,v 1.118 2010/07/18 06:45:00 freddy77 Exp $");
 
 /**
  * \ingroup odbc_api
@@ -336,7 +336,7 @@ odbc_set_string_flag(TDS_DBC *dbc, SQLPOINTER buffer, SQLINTEGER cbBuffer, void
 
 		if (cbBuffer < 0)
 			cbBuffer = 0;
-		if (!(flag&0x20))
+		if (flag&0x20)
 			cbBuffer /= SIZEOF_SQLWCHAR;
 		while (len) {
 			unsigned char mask;
@@ -375,7 +375,7 @@ odbc_set_string_flag(TDS_DBC *dbc, SQLPOINTER buffer, SQLINTEGER cbBuffer, void
 		/* terminate buffer */
 		if (dest && cbBuffer)
 			*dest = 0;
-		if (!(flag&0x20))
+		if (flag&0x20)
 			out_len *= SIZEOF_SQLWCHAR;
 	} else if (!dbc || !dbc->mb_conv) {
 		/* to ISO-8859-1 */

